Package ghidra.app.plugin.processors.sleigh

# Class SpecExtensionEditor

java.lang.Object
ghidra.app.plugin.processors.sleigh.SpecExtensionEditor

All Implemented Interfaces:
  `OptionsEditor`, `PropertyChangeListener`, `EventListener`

public class SpecExtensionEditor extends Object implements OptionsEditor, PropertyChangeListener

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SpecExtensionEditor(ProgramDB program)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `apply()`
  Apply the changes.
  `void`
  `cancel()`
  Cancel the changes.
  `void`
  `dispose()`
  Dispose this editor
  `JComponent`
  `getEditorComponent(Options options, EditorStateFactory editorStateFactory)`
  Get the editor component.
  `void`
  `propertyChange(PropertyChangeEvent evt)`
  `void`
  `reload()`
  A signal to reload the GUI widgets in the component created by this editor.
  `void`
  `setOptionsPropertyChangeListener(PropertyChangeListener listener)`
  Sets the options change listener

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SpecExtensionEditor

    public SpecExtensionEditor(ProgramDB program)

- ## Method Details

  - ### apply

    public void apply() throws InvalidInputException
    Description copied from interface: `OptionsEditor`
    Apply the changes.
    Specified by:
      `apply` in interface `OptionsEditor`
    Throws:
      `InvalidInputException`

  - ### cancel

    public void cancel()
    Description copied from interface: `OptionsEditor`
    Cancel the changes.
    Specified by:
      `cancel` in interface `OptionsEditor`

  - ### reload

    public void reload()
    Description copied from interface: `OptionsEditor`
    A signal to reload the GUI widgets in the component created by this editor. This will happen when the options change out from under the editor, such as when the user restores the default options values.
    Specified by:
      `reload` in interface `OptionsEditor`

  - ### setOptionsPropertyChangeListener

    public void setOptionsPropertyChangeListener(PropertyChangeListener listener)
    Description copied from interface: `OptionsEditor`
    Sets the options change listener
    Specified by:
      `setOptionsPropertyChangeListener` in interface `OptionsEditor`
    Parameters:
      `listener` -

  - ### getEditorComponent

    public JComponent getEditorComponent(Options options, EditorStateFactory editorStateFactory)
    Description copied from interface: `OptionsEditor`
    Get the editor component.
    Specified by:
      `getEditorComponent` in interface `OptionsEditor`
    Parameters:
      `options` - The editable options that for which a GUI component will be created
      `editorStateFactory` - The factory that will provide state objects this options editor

  - ### dispose

    public void dispose()
    Description copied from interface: `OptionsEditor`
    Dispose this editor
    Specified by:
      `dispose` in interface `OptionsEditor`

  - ### propertyChange

    public void propertyChange(PropertyChangeEvent evt)
    Specified by:
      `propertyChange` in interface `PropertyChangeListener`